[galaxy]
ignore_certs = yes

[defaults]
remote_tmp = /tmp/.ansible/tmp
local_tmp = /tmp/.ansible/tmp
forks = 100
poll_interval = 1
interpreter_python = /usr/bin/python3
host_key_checking = False
pipelining = True
control_path_dir = /tmp/.ansible/cp
system_warnings = True
deprecation_warnings = True
gathering = smart
gather_subset = network,virtual
gather_timeout = 15
callback_whitelist = timer

[privilege_escalation]
become = True
become_method = sudo
become_user = root

[paramiko_connection]
ssh_args = -C -o ControlMaster=auto -o ControlPersist=60s

[persistent_connection]
connect_timeout = 60
command_timeout = 60

[connection]
pipelining = True
scp_if_ssh = True

[inventory]
ignore_extensions = .pyc, .pyo, .swp, .bak, ~, .orig, .ini, .cfg, .retr
